Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class KeyIndex

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.KeyIndex

public class KeyIndex
extends NodeIteratorBase

Constructor Summary
`KeyIndex(int dummy)`

Method Summary
`void` | `add(java.lang.Object value, int node)` Adds a node to the node list for a given value.
`NodeIterator` | `cloneIterator()` Returns a deep copy of this iterator.
`int` | `containsID(int node, java.lang.Object value)`
`int` | `containsKey(int node, java.lang.Object value)`
`int` | `getLast()` Returns the number of elements in this iterator.
`int` | `getPosition()` Returns the position of the current node in the set.
`void` | `gotoMark()` Restores the current node remembered by setMark().
`void` | `lookupId(java.lang.Object value)` This method must be called by the code generated by the id() function prior to returning the node iterator.
`void` | `lookupKey(java.lang.Object value)` This method must be called by the code generated by the key() function prior to returning the node iterator.
`void` | `merge(KeyIndex other)` Merge the current value's nodeset set by lookupKey() with _nodes.
`int` | `next()` Callers should not call next() after it returns END.
`NodeIterator` | `reset()` Resets the iterator to the last start node.
`void` | `setMark()` Remembers the current node for the next call to gotoMark().
`NodeIterator` | `setStartNode(int start)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`includeSelf, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyIndex

    public KeyIndex(int dummy)

Method Detail

### add

    public void add(java.lang.Object value,
                    int node)

  Adds a node to the node list for a given value. Nodes will always be added in document order.

### merge

    public void merge(KeyIndex other)

  Merge the current value's nodeset set by lookupKey() with _nodes.

### lookupId

    public void lookupId(java.lang.Object value)

  This method must be called by the code generated by the id() function prior to returning the node iterator. The lookup code for key() and id() differ in the way the lookup value can be whitespace separated list of tokens for the id() function, but a single string for the key() function.

### lookupKey

    public void lookupKey(java.lang.Object value)

  This method must be called by the code generated by the key() function prior to returning the node iterator.

### next

    public int next()

  Callers should not call next() after it returns END.

### containsID

    public int containsID(int node,
                          java.lang.Object value)

### containsKey

    public int containsKey(int node,
                           java.lang.Object value)

### reset

    public NodeIterator reset()

  Resets the iterator to the last start node.
  Overrides:
    reset in class NodeIteratorBase

### getLast

    public int getLast()

  Returns the number of elements in this iterator.
  Overrides:
    getLast in class NodeIteratorBase

### getPosition

    public int getPosition()

  Returns the position of the current node in the set.
  Overrides:
    getPosition in class NodeIteratorBase

### setMark

    public void setMark()

  Remembers the current node for the next call to gotoMark().

### gotoMark

    public void gotoMark()

  Restores the current node remembered by setMark().

### setStartNode

    public NodeIterator setStartNode(int start)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Overrides:
    setStartNode in class NodeIteratorBase

### cloneIterator

    public NodeIterator cloneIterator()

  Returns a deep copy of this iterator.
  Overrides:
    cloneIterator in class NodeIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.